Skip to main content

Get Order Details

Description

Get previous futures order.

  • There is no time limit for placing orders.
  • For historical orders, if they are cancellations, only those within 5 hours will be retained; for other types, those within 90 days will be supported.
  • If there are multiple orders with the same clOrdId, the information of the most recent order will be matched.

HTTP Request

GET /v3/trade/order/details

Request Parameters

ParameterRequiredTypeDescription
ordIdNoStringOrder ID, Either ordId or clOrdId must be passed. If both are passed, both will be verified.
clOrdIdNoStringClient Order ID as assigned by the client

Response Parameters

ParameterTypeDescription
symbolStringA trading pair, consisting of two currencies: base currency and quote currency
sideStringEnumerate: BUY and SELL
typeStringOrder type; enumerate MARKET, LIMIT, and LIMIT_MAKER
ordIdStringOrder ID
clOrdIdStringClient Order ID as assigned by the client
mgnModeStringMargin Mode, Enumerate: ISOLATED, CROSS
posSideStringPosition side LONG SHORT BOTH
pxStringPrice
szStringOrder size, specifically in Cont
stateStringOrder Status: Enumerate FILLED, PARTIALLY_CANCELED, CANCELED
cancelReasonStringUSER_CANCEL_ORDER_ACTION, LIMIT_MAKER_ORDER_INCORRECT_PRICE_CONDITION, LIMIT_MATCH_IOC_OR_FOK_ORDER_PRICE_CANNOT_MATCH, LIMIT_MATCH_FOK_ORDER_MAKER_INSUFFICIENT_AVAILABLE_QUANTITY, LIMIT_MATCH_IOC_ORDER_CANNOT_FILLED, LIMIT_MATCH_ORDER_TAKER_SELF_TRADE,MARKET_ORDER_NO_OTHER_SIDE_ORDER, INVALID_PARAM_WHEN_PLACE_ORDER, INVALID_ORDER_TYPE_WHEN_PLACE_ORDER, INVALID_SEQUENCE_PLACE_ORDER_AFTER_CANCEL_SAME_ORDER, MATCH_SYMBOL_TRADE_LIMIT_NOT_EXIST, EXCEED_SLIPPAGE_TOLERANCE, OUT_OF_RANGE_LIMIT_PRICE,NO_MARGIN_QUANTITY_GREAT_THAN_POSITION, LIMIT_MATCH_ORDER_ONLY_SELF_TRADE, FL_CANCEL_ORDER_ACTION, RISK_CANCEL_ORDER_ACTION, SYS_CANCEL_ORDER_ACTION
sourceStringOrder Source: Enumerate WEB, APP, API, SMART, WEB_MARGIN, APP_IOS, APP_ANDROID, APP_IOS_MARGIN, APP_ANDROID_MARGIN, API_MARGIN, SMART_MARGIN, WS, WS_MARGIN, GRID, GRID_MARGIN, SYSTEM, COPY_TRADING, TRIGGER, LIQUIDATION, ADL, TRIAL, MARGIN_FL, MARGIN_FL_OFFLINE
reduceOnlyBooleanReduce only
timeInForceStringEnumerate FOK, IOC, and GTC. It is an optional field with GTC by default.
avgPxStringAverage execution price
execQtyStringCumulative execution amount
execAmtStringCumulative execution value
feeCcyStringName of the currency used for trading fees
feeAmtStringCumulative amount of trading fee
deductCcyStringName of the currency used to deduct trading fees
deductAmtStringCumulative amount of trading fee deducted
actTypeStringAccount type
qCcyStringQuote currency
stpModeStringEnumerate
- EXPIRE_TAKER
- EXPIRE_MAKER
- EXPIRE_BOTH
Default is NONE
cTimeStringOrder creation time with a UTC timestamp (MS)
uTimeStringOrder update time with a UTC timestamp (MS)

Request Example

{
"ordId": "550983022728966144",
"clOrdId": "polo550983022728966144"
}

Response Example

{
"code": 200,
"msg": "Success",
"data": {
"symbol": "ETH_USDT_PERP",
"side": "SELL",
"type": "LIMIT_MAKER",
"ordId": "550983022728966144",
"clOrdId": "polo550983022728966144",
"mgnMode": "CROSS",
"px": "4280",
"reduceOnly": false,
"lever": "10",
"state": "NEW",
"source": "WEB",
"timeInForce": "GTC",
"tpTrgPx": "",
"tpPx": "",
"tpTrgPxType": "",
"slTrgPx": "",
"slPx": "",
"slTrgPxType": "",
"avgPx": "0",
"execQty": "0",
"execAmt": "0",
"feeCcy": "",
"feeAmt": "0",
"deductCcy": "0",
"deductAmt": "0",
"stpMode": "NONE",
"cTime": "1772330989388",
"uTime": "1772421110038",
"sz": "2",
"posSide": "SHORT",
"qCcy": "USDT"
}
}